package org.ccpit.base.utils;

public class TypeUtils {

    public static String translateData(String dataType, Integer num) {
        String dataName = "";
        if ("invoiceType".equals(dataType)) {
            switch (num) {
                case 1:
                    dataName = "CDCS考试费";
                    break;
                case 2:
                    dataName = "培训费";
                    break;
                case 3:
                    dataName = "培训服务费";
                    break;
            }
        }
        if ("subject".equals(dataType)) {
            switch (num) {
                case 1:
                    dataName = "单证信用专家(CDCS)";
                    break;
                case 2:
                    dataName = "保函与备用证专家(CSDG)";
                    break;
                case 3:
                    dataName = "国际贸易金融专家(CITF)";
                    break;
            }
        }
        if ("registerType".equals(dataType)) {
            switch (num) {
                case 1:
                    dataName = "首次报名 ";
                    break;
                case 2:
                    dataName = "补考报名";
                    break;
                case 3:
                    dataName = "延考及恢复";
                    break;
            }
        }
        if ("registerStatus".equals(dataType)) {
            switch (num) {
                case 1:
                    dataName = "报名成功";
                    break;
                case 2:
                    dataName = "缴费成功";
                    break;
                case 3:
                    dataName = "书籍发放";
                    break;
                case 4:
                    dataName = "DC号";
                    break;
                case 5:
                    dataName = "准考证打印";
                    break;
                case 6:
                    dataName = "发票寄送";
                    break;
                case 7:
                    dataName = "证书寄送";
                    break;
            }
        }
        return dataName;
    }
}
